#!/bin/sh
slx=/home/hpa/syslinux/git
cp -f $slx/core/isolinux.bin image/isolinux.bin
cp -f $slx/com32/*/*.c32 image/
cp -f $slx/memdisk/memdisk image/
mkisofs -o image.iso -v -J -r -l \
    -b isolinux.bin -c boot.cat \
    -no-emul-boot -boot-load-size 4 -boot-info-table \
    image
cp image.iso image-nohybrid.iso
$slx/utils/isohybrid -partok image.iso
rm -f hda.img
dd if=/dev/zero of=hda.img bs=8225280 count=4
fdisk hda.img <<EOF
x
c
4
h
255
s
63
r
n
p
1
1
4
a
1
w
EOF
dd if=$slx/mbr/mbr.bin of=hda.img bs=440 count=1 conv=notrunc
dd if=image.iso of=hda.img bs=32256 seek=1 conv=notrunc
